## grails.util
Class PluginBuildSettings

    java.lang.Object
      grails.util.PluginBuildSettings

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class PluginBuildSettings

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`PluginBuildSettings(BuildSettings buildSettings)`
`PluginBuildSettings(BuildSettings buildSettings, GrailsPluginManager pluginManager)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `clearCache()`
`Resource[]` `getArtefactResources()`
`Resource[]` `getArtefactResourcesForOne(String projectDir)`
`Resource[]` `getAvailableScripts()`
`Resource` `getBasePluginDescriptor()`
`BuildSettings` `getBuildSettings()`
`Resource` `getDescriptorForPlugin(Resource pluginDir)`
`String` `getGlobalPluginsPath()`
`List<Resource>` `getImplicitPluginDirectories()`
`Resource[]` `getInlinePluginDirectories()`
`groovy.lang.MetaClass` `getMetaClass()`
`groovy.util.slurpersupport.GPathResult` `getMetadataForPlugin(Resource pluginDir)`
`groovy.util.slurpersupport.GPathResult` `getMetadataForPlugin(String pluginName)`
`List<String>` `getPluginBaseDirectories()`
`Resource[]` `getPluginDescriptors()`
`Resource[]` `getPluginDirectories()`
`Resource` `getPluginDirForName(String pluginName)`
`Resource[]` `getPluginI18nDirectories()`
`PluginInfo` `getPluginInfo(String pluginBaseDir)`
`PluginInfo` `getPluginInfoForName(String pluginName)`
`PluginInfo` `getPluginInfoForSource(String sourceFile)`
`PluginInfo[]` `getPluginInfos()`
`PluginInfo[]` `getPluginInfos(String pluginDirPath)`
`Resource[]` `getPluginJarFiles()`
`Resource[]` `getPluginLibDirectories()`
`GrailsPluginManager` `getPluginManager()`
`Resource[]` `getPluginResourceBundles()`
`Resource[]` `getPluginScripts()`
`Resource[]` `getPluginSourceFiles()`
`Resource[]` `getPluginSourceFiles(File pluginDir)`
`Resource[]` `getPluginXmlMetadata()`
`Object` `getProperty(String property)`
`groovy.lang.Closure` `getResourceResolver()`
`PluginInfo[]` `getSupportedPluginInfos()`
`Resource[]` `getUnmanagedPluginJarFiles()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isGlobalPluginLocation(Resource pluginDir)`
`boolean` `isInlinePluginLocation(Resource pluginLocation)`
`void` `setBuildSettings(BuildSettings value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPluginManager(GrailsPluginManager value)`
`void` `setProperty(String property, Object value)`
`void` `setResourceResolver(groovy.lang.Closure value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginBuildSettings

    public PluginBuildSettings(BuildSettings buildSettings)

### PluginBuildSettings

    public PluginBuildSettings(BuildSettings buildSettings,
                               GrailsPluginManager pluginManager)

Method Detail

### getResourceResolver

    public groovy.lang.Closure getResourceResolver()

### setResourceResolver

    public void setResourceResolver(groovy.lang.Closure value)

### getBuildSettings

    public BuildSettings getBuildSettings()

### setBuildSettings

    public void setBuildSettings(BuildSettings value)

### getPluginManager

    public GrailsPluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(GrailsPluginManager value)

### clearCache

    public void clearCache()

### getPluginInfos

    public PluginInfo[] getPluginInfos(String pluginDirPath)

### isInlinePluginLocation

    public boolean isInlinePluginLocation(Resource pluginLocation)

### getInlinePluginDirectories

    public Resource[] getInlinePluginDirectories()

### getPluginInfo

    public PluginInfo getPluginInfo(String pluginBaseDir)

### getPluginInfoForName

    public PluginInfo getPluginInfoForName(String pluginName)

### getPluginInfoForSource

    public PluginInfo getPluginInfoForSource(String sourceFile)

### getPluginXmlMetadata

    public Resource[] getPluginXmlMetadata()

### getMetadataForPlugin

    public groovy.util.slurpersupport.GPathResult getMetadataForPlugin(String pluginName)

### getMetadataForPlugin

    public groovy.util.slurpersupport.GPathResult getMetadataForPlugin(Resource pluginDir)

### getAvailableScripts

    public Resource[] getAvailableScripts()

### getPluginScripts

    public Resource[] getPluginScripts()

### getPluginResourceBundles

    public Resource[] getPluginResourceBundles()

### getPluginSourceFiles

    public Resource[] getPluginSourceFiles()

### getPluginSourceFiles

    public Resource[] getPluginSourceFiles(File pluginDir)

### getPluginJarFiles

    public Resource[] getPluginJarFiles()

### getUnmanagedPluginJarFiles

    public Resource[] getUnmanagedPluginJarFiles()

### getPluginDirectories

    public Resource[] getPluginDirectories()

### getSupportedPluginInfos

    public PluginInfo[] getSupportedPluginInfos()

### getImplicitPluginDirectories

    public List<Resource> getImplicitPluginDirectories()

### getPluginBaseDirectories

    public List<String> getPluginBaseDirectories()

### isGlobalPluginLocation

    public boolean isGlobalPluginLocation(Resource pluginDir)

### getArtefactResources

    public Resource[] getArtefactResources()

### getArtefactResourcesForOne

    public Resource[] getArtefactResourcesForOne(String projectDir)

### getPluginDescriptors

    public Resource[] getPluginDescriptors()

### getPluginLibDirectories

    public Resource[] getPluginLibDirectories()

### getPluginI18nDirectories

    public Resource[] getPluginI18nDirectories()

### getGlobalPluginsPath

    public String getGlobalPluginsPath()

### getPluginDirForName

    public Resource getPluginDirForName(String pluginName)

### getBasePluginDescriptor

    public Resource getBasePluginDescriptor()

### getDescriptorForPlugin

    public Resource getDescriptorForPlugin(Resource pluginDir)

### getPluginInfos

    public PluginInfo[] getPluginInfos()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project